Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui.view.table
Class TableInput

    java.lang.Object
      org.basex.gui.view.table.TableInput

All Implemented Interfaces:
  java.lang.Runnable

    public final class TableInput

extends java.lang.Object
implements java.lang.Runnable

This is a simple input box for BaseX views.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`TableInput(BaseXPanel p, java.lang.String t)` Constructor.

Method Summary
`boolean` | `add(char c)` Adds a character.
`void` | `code(int c)` Reacts on key codes.
`void` | `paint(java.awt.Graphics g, int x, int y, int w, int h)` Paints the input box.
`void` | `run()` Thread for cursor flashing.
`void` | `stop()` Stops the box input.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableInput

    public TableInput(BaseXPanel p,
                      java.lang.String t)

  Constructor.

  Parameters:
    `p` - panel reference
    `t` - text

Method Detail

### stop

    public void stop()

  Stops the box input.

### paint

    public void paint(java.awt.Graphics g,
                      int x,
                      int y,
                      int w,
                      int h)

  Paints the input box.

  Parameters:
    `g` - graphics reference
    `x` - x position
    `y` - y position
    `w` - width
    `h` - height

### add

    public boolean add(char c)

  Adds a character.

  Parameters:
    `c` - character to be added
  Returns:
    true if input was modified

### code

    public void code(int c)

  Reacts on key codes.

  Parameters:
    `c` - code to be evaluated

### run

    public void run()

  Thread for cursor flashing.

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD